bio-0.5.2: A bioinformatics library

Safe Haskell | Safe-Inferred

Bio.Alignment.Soap

Synopsis

- data SoapAlign = SA {
  - name :: !SeqName
  - sequ :: !SeqData
  - qual :: !QualData
  - nhit :: !Int
  - pairend :: !Char
  - length :: !Offset
  - strand :: !Strand
  - refname :: !SeqName
  - refstart :: !Offset
  - nmismatch :: !Int
  - mismatches :: ![SoapAlignMismatch]
  }
- data SoapAlignMismatch = SAM {
  - readnt :: !Char
  - refnt :: !Char
  - offset :: !Offset
  - qualnt :: !Qual
  }
- refSeqPos :: SoapAlign -> SeqPos
- refCSeqLoc :: SoapAlign -> ContigSeqLoc
- refSeqLoc :: SoapAlign -> SeqLoc
- mismatchSeqPos :: SoapAlign -> SoapAlignMismatch -> SeqPos
- parse :: (Error e, MonadError e m) => ByteString -> m SoapAlign
- unparse :: SoapAlign -> ByteString
- parseMismatch :: (Error e, MonadError e m) => ByteString -> m SoapAlignMismatch
- unparseMismatch :: SoapAlignMismatch -> ByteString
- group :: [SoapAlign] -> [[SoapAlign]]

# Documentation

data SoapAlign

Alignment output from SOAP

Constructors

SA |

Fields

name :: !SeqName
sequ :: !SeqData

  Reference strand orientation sequence

qual :: !QualData

  Reference strand orientation quality data

nhit :: !Int
pairend :: !Char
length :: !Offset
strand :: !Strand
refname :: !SeqName
refstart :: !Offset

  1-based index, as output by SOAP, of reference strand 5' end

nmismatch :: !Int
mismatches :: ![SoapAlignMismatch]

Instances

Eq SoapAlign |
Ord SoapAlign |
Read SoapAlign |
Show SoapAlign |

data SoapAlignMismatch

Constructors

SAM |

Fields

readnt :: !Char

  Read nt in reference strand orientation

refnt :: !Char

  Reference nt in reference strand orientation

offset :: !Offset

  Offset from reference strand 5' end in reference strand orientation

qualnt :: !Qual

  Quality score of read nt

Instances

Eq SoapAlignMismatch |
Ord SoapAlignMismatch |
Read SoapAlignMismatch |
Show SoapAlignMismatch |

refSeqPos :: SoapAlign -> SeqPos

refCSeqLoc :: SoapAlign -> ContigSeqLoc

refSeqLoc :: SoapAlign -> SeqLoc

mismatchSeqPos :: SoapAlign -> SoapAlignMismatch -> SeqPos

parse :: (Error e, MonadError e m) => ByteString -> m SoapAlign

unparse :: SoapAlign -> ByteString

parseMismatch :: (Error e, MonadError e m) => ByteString -> m SoapAlignMismatch

unparseMismatch :: SoapAlignMismatch -> ByteString

group :: [SoapAlign] -> [[SoapAlign]]